Subject: Re: bug#9936: kill-line problem

From: Glenn Morris <[email-masked]>
Date: Thu, 03 Nov 2011 20:55:59 -0400

Version: 22.1

>> emacs -nw -q --no-site-file
>>
>> (setq ss (concat (make-string 10 ?X) "," ))
>>
>>
>> (put-text-property 0 10 'invisible t ss)
>>
>>
>> (insert ss ss ss "\n" ss ss ss "\n" ss ss ss "\n" ss ss ss "\n" )
>>
>>
>> (setq kill-whole-line t)
>
> I can reproduce this bug in Emacs 21, but it appears to be fixed in
> Emacs 22 and later. (The problem was in forward-visible-line.)

Yes, I also see it in 21.4, but not in 22.1 or 23.3, so I'm closing
this as fixed in 22.1.

Thanks for the bug recipe. You are encouraged to upgrade to a more
recent Emacs! :)